<template>
  <div>
    <span class="error-message">{{ errorMessage }}</span>
    <div class="reload-button-container" @click="$emit('click')">
      <font-awesome-icon icon="redo-alt" class="button-reload"/>
    </div>
  </div>
</template>

<script>
  import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'
  import { library } from '@fortawesome/fontawesome-svg-core'
  import { faRedoAlt } from '@fortawesome/free-solid-svg-icons'

  library.add(faRedoAlt)

  export default {
    name: 'VRetryButton',
    components: { FontAwesomeIcon },
    data: () => ({
      errorMessage: 'Server unavailable'
    })
  }
</script>

<style scoped lang="scss">
  @import "../color";

  .error-message {
    display: block;
    color: $color-danger-text-light;
    font-weight: 500;
    padding-top: 0.25em;
    margin-bottom: -0.2em;
  }

  .reload-button-container {
    cursor: pointer;
    display: inline-block;
    padding: 0.5em 0.75em;
    margin-top: 0.75em;
    margin-bottom: 0.85em;

    .button-reload {
      font-size: 1.2em;
      padding: 0.45em;
      border-radius: 1em;
      background-color: #F6F6F6;
    }

    &:hover {
      .button-reload {
        background-color: #EFEDED;
      }
    }
  }

  .dark-theme {
    .error-message {
      color: $dark-theme-color-danger-text-light;
    }
    .reload-button-container {
      .button-reload {
        background-color: #304162;
      }
      &:hover {
        .button-reload {
          background-color: #36496D;
        }
      }
    }
  }
</style>